#!/usr/bin/python
# Startup
# Copyright (C) 2010  Sylvain Beucler
#
# This file is part of GunDuck Force IV.
# 
# GunDuck Force IV is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# GunDuck Force IV is distributed in the hope that it will be fun,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

PACKAGE="gunduck"

# Relocatable program
import os
prefix = os.path.join(os.path.dirname(__file__), '..')
# Debug path for source that is not installed (developer working directory)
if os.path.exists(os.path.join(prefix, PACKAGE)):
    import sys
    sys.path.insert(0, prefix)

import gunduck.game
datadir = os.path.join(prefix, 'share', PACKAGE)
gunduck.game.main(datadir)
